package com.ss.android.ugc.aweme.commercialize.views.cards;

import X.0CB;
import X.0CH;
import X.2GO;
import X.6Is;
import X.C3376LIx;
import X.LJ0;
import X.LQ8;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.CardStruct;

public class ShopAdCardActionV2 extends AbsAdCardActionV2 implements 6Is, 2GO {
    public int LJIIIIZZ;

    static {
        Covode.recordClassIndex(60005);
    }

    public void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public final void LJ() {
        if (LQ8.LIZIZ.LIZ() != null) {
            super.LJ();
            if (this.LJIIIIZZ == 0) {
                C3376LIx lIx = new C3376LIx();
                lIx.LIZ("click");
                lIx.LIZIZ("card");
                lIx.LIZ(this.LIZJ);
                LIZ(lIx.LIZ());
                if (!LQ8.LIZIZ.LIZ().LIZ(this.LIZIZ, this.LIZJ) && !LQ8.LIZIZ.LIZ().LIZIZ(this.LIZIZ, this.LIZJ) && !LQ8.LIZIZ.LIZ().LIZ(this.LIZIZ, this.LIZJ, 2)) {
                    LQ8.LIZIZ.LIZ().LIZJ(this.LIZIZ, this.LIZJ);
                }
            }
        }
    }

    public ShopAdCardActionV2(Context context, Aweme aweme, LJ0 lj0) {
        super(context, aweme, lj0);
        boolean z;
        CardStruct LJFF;
        if (!(LQ8.LIZIZ.LIZ() == null || (LJFF = LQ8.LIZIZ.LIZ().LJFF(aweme)) == null)) {
            this.LJIIIIZZ = LJFF.getCardStyle();
        }
        if (this.LJIIIIZZ == 0) {
            z = true;
        } else {
            z = false;
        }
        this.LJFF = z;
        this.LIZ = 2131232746;
    }
}
